## libkf5ksieve 20.08.3

=== kioslave/src/autotests/CMakeLists.txt ===
ecm_add_tests( regexptest.cpp  NAME_PREFIX "libksieve-" LINK_LIBRARIES Qt5::Test)
